# ConfigureProgram -*- TCL -*- Created: ramsan Jun-2001, Modified: ramsan Jun-2001
# 	$Id: ConfigureProgram.tcl,v 1.39 2004/04/21 16:52:43 escolano Exp $	



#----------------------Configuration section-----------------------------

#GidPriv(Configuration) must be release or debug
#if not debug then hide to the user Tcl Errors
set GidPriv(Configuration) release
#set GidPriv(Configuration) debug


# to create a splash window
set GidPriv(SplashWindow) [file join $GIDDEFAULT bitmaps GiDsplash.gif]

# Image that appears in the about window
set GidPriv(AboutWindow) [file join $GIDDEFAULT bitmaps about.gif]

# use of mouse button changes
#set GidPriv(ChangeButtonMeaning) 1

# a view menu is added to the top menu
set GidPriv(haveviewmenu) 1

# A contextual button is added to GiD
#set GidPriv(havecontextualbutton) 1

# name of the game
set GidPriv(ProgName) GiD

# web page of the program
set GidPriv(ProgWeb) "http://www.gidhome.com"
# web page to obtain a password to register the program
set GidPriv(PassWeb) "http://www.gidhome.com/password"


# check proc 'CreateWelcomeWin' in file tclfileP.tcl

# Icons to check (in directory bitmaps):
#                    GiDlogo.ppm    (the one that appears in the printed copies)
#                    GiDicono64.xbm (only for UNIX. The image of GiD iconified)
#                    GiDicono.xbm   (the one seen in the GiD page setup)
#                    GiDdir.gif     (the one in the Register Module window)
#                    gid.ico        (for Windows it is the icon application)
#                                   (The Windows installer uses this icon to
#                                    put it in the desktop)                      

# If we want the icon bar with colors, remeber to set following variable to 1
set GidPriv(bitmaps_color)   1
set GidPriv(separadores)     1
set GidPriv(BitmapsWidth)    24
set GidPriv(BitmapsHeight)   24
set GidPriv(BitmapsSepHWidth)  24
set GidPriv(BitmapsSepHHeight)  8
set GidPriv(BitmapsSepVWidth)   8
set GidPriv(BitmapsSepVHeight) 24

set GidPriv(GiDRuedas)       1
set GidPriv(Texturas)        1

#to change in the help->About, the showed internal GiD version number
#for another alternative text version of a particular developer
#(e.g set GidPriv(TextOfVersion) "MyProgram 4.0" )
set GidPriv(TextOfVersion) ""

#To customize the info icon of right of the standard bar and the procedure to invoke
set GidPriv(InfoGiDBitmapName) "info_gid.gif"
# info_gid.gif - default info icon
# info_gid_a.gif - info icon for the academic version (GiD will add the '_a' suffix)
# info_gid_p.gif - info icon for the professional version (GiD will add the '_p' suffix)
set GidPriv(InfoGiDProc) "CreateGiDInfo_win"


#default format to show some real values (coordinates, etc.)
set GidPriv(RealFormat,Default) "%.3g"

#To customize some widget colors
set GidPriv(Color,BackgroundListbox) {white smoke}
set GidPriv(Color,DisabledBackgroundEntry) {white smoke}
set GidPriv(Color,DisabledForegroundEntry) {black}

#to customize the default extension of the calculation file, for example ".nas" for Nastran
set GidPriv(CalculationFileExtension) ".dat"
#----------------------End configuration section-------------------------


#---------------------- Info section -------------------------
# tcl functions related to internal GiD version number 
# format: n1.n2[.n3][char] (e.g: 6.1.2d or 6.2 are valid)
# This version number is used to compare is a version is more recent to another

# proc GiDVersionCmp { Version }
# return -1 if Internal GiD Version < Version
# return  0 if Internal GiD Version == Version
# return  1 if Internal GiD Version > Version
# Note: this funcion return -1 if GiD is previous to GiD6.2.0b
# From the GiD7.0, GiDVersion is set inside GiD (main.cc)
# must be asked with [.central.s info GiDVersion]

# proc GiDVersionNumber { VersionString } convert the string to an integer
# (e.g. "6.1.2d" return 601020)

# proc GiDVersionSubchar { VersionString } return the char if exist
# (e.g. "6.1.2d" return d)
   
#----------------------End Info section -------------------------

#to debug whitout open a window
if { $GidPriv(Configuration) == "debug" } {
    if {$tcl_platform(platform) == "unix"} {
	set tmpdir /tmp
    } else {
	set tmpdir "$env(tmp)"
    }
    DebugInit [file join $tmpdir DebugGiDTcl.log]
}
